## org.red5.server.net.rtmp
Class EdgeRTMPMinaIoHandler

    java.lang.Object
      org.apache.mina.core.service.IoHandlerAdapter
          org.red5.server.net.rtmp.RTMPMinaIoHandler
              org.red5.server.net.rtmp.EdgeRTMPMinaIoHandler

All Implemented Interfaces:
  IoHandler, ApplicationContextAware

    public class EdgeRTMPMinaIoHandler

extends RTMPMinaIoHandler

Field Summary

Fields inherited from class org.red5.server.net.rtmp.RTMPMinaIoHandler
`appCtx, codecFactory, handler, mode, rtmpConnManager`

Constructor Summary
`EdgeRTMPMinaIoHandler()`

Method Summary
`protected RTMPMinaConnection` `createRTMPMinaConnection()`

Methods inherited from class org.red5.server.net.rtmp.RTMPMinaIoHandler
`exceptionCaught, getRtmpConnManager, messageReceived, messageSent, rawBufferRecieved, sessionClosed, sessionCreated, sessionOpened, setApplicationContext, setCodecFactory, setHandler, setMode, setRtmpConnManager`

Methods inherited from class org.apache.mina.core.service.IoHandlerAdapter
`sessionIdle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EdgeRTMPMinaIoHandler

    public EdgeRTMPMinaIoHandler()

Method Detail

### createRTMPMinaConnection

    protected RTMPMinaConnection createRTMPMinaConnection()

  Overrides:
    `createRTMPMinaConnection` in class `RTMPMinaIoHandler`

Copyright © 2006-2010 The Red5 Project